aboutsummaryrefslogtreecommitdiffstats
path: root/community/dolphin-plugins/APKBUILD
blob: 0e30f6640675224b1fe2c885f610d7139fad0de7 (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=dolphin-plugins
pkgver=20.12.2
pkgrel=0
arch="all !armhf !s390x !mips64"
url="https://www.kde.org/applications/system/dolphin/"
pkgdesc="Extra Dolphin plugins"
license="GPL-2.0-or-later"
makedepends="
	dolphin-dev
	extra-cmake-modules
	ki18n-dev
	kio-dev
	ktexteditor-dev
	ktextwidgets-dev
	kxmlgui-dev
	qt5-qtbase-dev
	"
source="https://download.kde.org/stable/release-service/$pkgver/src/dolphin-plugins-$pkgver.tar.xz"
subpackages="$pkgname-lang"

build() {
	cmake -B build \
		-DCMAKE_BUILD_TYPE=None \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_INSTALL_LIBDIR=lib \
		-DBUILD_svn=OFF # Broken "error: expected unqualified-id before '(' token"
	cmake --build build
}

check() {
	cd build
	CTEST_OUTPUT_ON_FAILURE=TRUE ctest
}

package() {
	DESTDIR="$pkgdir" cmake --build build --target install
}

sha512sums="b6d160c7aadddb332ef8d5440ef8171668a24e44eb837918557016272ad5e2e51456fcb2e155c93507737e341596c89621bdd0a35ac1d5f81e79afcfa89cd3ff  dolphin-plugins-20.12.2.tar.xz"